Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161382 - gulm testing update is incompatible with lvm2-cluster and magma-plugins
Summary: gulm testing update is incompatible with lvm2-cluster and magma-plugins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gulm
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 19:19 UTC by Alexandre Oliva
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: gulm-1.0.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-23 17:20:20 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2005-06-22 19:19:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
lvm2-cluster and magma-plugins require the SONAME provided by gulm as shipped in FC4, but the update in testing (gratuitously?) changes the SONAME, without a compat package or updates for the dependent packages.

Version-Release number of selected component (if applicable):
gulm-1.0.0-1 lvm2-cluster-2.01.09-3.0 magma-plugins-1.0.0-1

How reproducible:
Always

Steps to Reproduce:
1.`yum --enablerepo=updates-testing update' on an `everything' install of FC4

Actual Results:  --> Running transaction check
--> Processing Dependency: libgulm.so.1.0()(64bit) for package: lvm2-cluster
--> Processing Dependency: libgulm.so.1.0()(64bit) for package: magma-plugins
--> Finished Dependency Resolution
Error: Missing Dependency: libgulm.so.1.0()(64bit) is needed by package lvm2-cluster
Error: Missing Dependency: libgulm.so.1.0()(64bit) is needed by package magma-plugins


Expected Results:  No missing deps.  Changing sonames requires coordination with dependents, and should be avoided without very good reasons.

Additional info:

Comment 1 Chris Feist 2005-06-22 21:16:27 UTC
I've reverted the soname to the previous name (libgulm.so.1.0) in gulm-1.0.0-2.
 This should be available on the fedora testing site Thursday or Friday morning.

Comment 2 Chris Feist 2005-06-23 16:12:31 UTC
Gulm-1.0.0-2 is now available from download.fedora.redaht.com.  Please try yum
updating again and see if this solves the problem.

Comment 3 Alexandre Oliva 2005-06-23 17:20:20 UTC
Thanks, that fixed it.


Note You need to log in before you can comment on or make changes to this bug.